model linear_string
    
    extends Maplesoft.Icons.CustomComponent;
    parameter Real k = 10 "k";
    parameter Real d = 1 "d";
    parameter Boolean tension = true;
    
    Modelica.Blocks.Interfaces.RealInput L0
    annotation (Placement(transformation(extent = {{-110, 40},{-90, 60}},rotation = 0)));

    Modelica.Blocks.Interfaces.RealInput dist
    annotation (Placement(transformation(extent = {{-110, -40},{-90, -60}},rotation = 0)));

    Modelica.Blocks.Interfaces.RealOutput Force
    annotation (Placement(transformation(extent = {{90, -10},{110, 10}},rotation = 0)));

    equation
	if tension then
            Force = noEvent(if dist>L0 then -(k * (dist - L0) + d*der(dist)) else 0);
	else
            Force = noEvent(if dist<L0 then -(k * (dist - L0) + d*der(dist)) else 0);
	end if;



end linear_string;
